package com.yiboshi.science.entity;

import com.yiboshi.science.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "评审记录明细表")
public class ComEvaluationItemNote extends BaseEntity {
    /** 评审记录Id */
    @ApiModelProperty(value = "评审记录Id", position = 1)
    @Length(max=36, message = "评审记录Id不能大于36")
    private String evaluationNoteId;
    /** 评审内容Id */
    @ApiModelProperty(value = "评审内容Id", position = 1)
    @Length(max=36, message = "评审内容Id不能大于36")
    private String contentId;
    /** 评审项目Id */
    @ApiModelProperty(value = "评审项目Id", position = 1)
    @Length(max=36, message = "评审项目Id不能大于36")
    private String itemId;
    /** 得分 */
    @ApiModelProperty(value = "得分", position = 4)
    private BigDecimal score;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 1)
    @Length(max=200, message = "备注不能大于200")
    private String remark;
}
