package com.yiboshi.science.param.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "评审分值表DTO")
public class ComEvaluationValueDTO extends BaseDTO {
    /** 值对象Id */
    @ApiModelProperty(value = "值对象Id", position = 2)
    @Length(max=36, message = "值对象Id不能大于36")
    private String objectId;
    /** 标题 */
    @ApiModelProperty(value = "标题", position = 3)
    @Length(max=200, message = "标题不能大于200")
    private String name;
    /** 总分 */
    @ApiModelProperty(value = "总分", position = 4)
    private BigDecimal score;
    /** 排序 */
    @ApiModelProperty(value = "排序", position = 5)
    private Integer showIndex;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 6)
    @Length(max=200, message = "备注不能大于200")
    private String remark;

    @ApiModelProperty(value = "已经存在数据库", position = 9)
    private Integer hasAdd;
}
