package com.yiboshi.science.param.query;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.PaginationVO;
import com.yiboshi.science.param.dto.ComPersonDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * 查询单位表VO
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "查询单位表VO")
public class ComUnitQueryVO extends PaginationVO{
    /** 树编码 */
    @ApiModelProperty(value = "树编码", position = 1)
    private String treeCode;
    /** 单位名称 */
    @ApiModelProperty(value = "单位名称", position = 2)
    private String unitName;
    /** 单位类型 */
    @ApiModelProperty(value = "单位类型", position = 3)
    private Integer unitType;
    /** 单位性质 */
    @ApiModelProperty(value = "单位性质", position = 3 )
    private String unitNature;
    /** 状态 1正常 2 注销 */
    @ApiModelProperty(value = "状态 1正常 2 注销", position = 5)
    private Integer unitState;
    /** 单位地址 */
    @ApiModelProperty(value = "单位地址", position = 6)
    private String unitAddress;
    /** 邮编 */
    @ApiModelProperty(value = "邮编", position = 7)
    private String postcode;
    /** 联系人姓名 */
    @ApiModelProperty(value = "联系人姓名", position = 8)
    private String linkName;
    /** 联系人电话 */
    @ApiModelProperty(value = "联系人电话", position = 9)
    private String linkTel;
    /** 联系人邮箱 */
    @ApiModelProperty(value = "联系人邮箱", position = 10)
    private String linkEmail;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 11)
    private String remark;
    /** 1 待审核，10 审核通过， 20 审核不通过 ，30 返回修改 */
    @ApiModelProperty(value = "审核结果", position = 6 )
    private Integer auditResult;
    /** 审核内容 */
    @ApiModelProperty(value = "审核内容", position = 5 )
    private String auditContent;
    /** 审核单位*/
    @ApiModelProperty(value = "审核单位", position = 28 )
    private String auditUnit;
    /** 审核人 */
    @ApiModelProperty(value = "审核人", position = 5 )
    private String auditPerson;
    /** 审核时间 */
    @ApiModelProperty(value = "审核时间", position = 7 )
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditDate;

    /** 上级单位编码 */
    @ApiModelProperty(value = "上级单位编码", position = 17)
    private String upTreeCode;
}