package com.yiboshi.science.param.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.PaginationVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 查询年度设置表VO
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "查询年度设置表VO")
public class ComYearQueryVO extends PaginationVO{
    /** 年度 */
    @ApiModelProperty(value = "年度")
    private Integer reportYear;
    /** 单位code */
    @ApiModelProperty(value = "单位code", position = 1)
    private String unitCode;
    /** 类型 1项目 2任务书 3中期考核 */
    @ApiModelProperty(value = "类型 1项目 2任务书 3中期考核", position = 2)
    private Integer yearType;
    /** 开始时间 */
    @ApiModelProperty(value = "开始时间", position = 3)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /** 结束时间 */
    @ApiModelProperty(value = "结束时间", position = 4)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 5)
    private String remark;
    /** 中期考核年度 例：2018,2019 */
    @ApiModelProperty(value = "中期考核年度 例：2018,2019", position = 6)
    private String checkYear;
}